path: /build/build/p7zip-app-arch-17.05.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-arch/p7zip -pv -t && \
    emerge -j ${JOBS} --nodeps app-arch/p7zip
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/p7zip && luet-portage --dir /pkgdir/p7zip
    app-arch/p7zip && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b919fecc8cd38ec06ba566a38c7dac215a6234742cb684bde2114b8d8a271976
  package:
    name: p7zip
    version: "17.05"
    category: app-arch
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Port of 7-Zip archiver for Unix
    uri:
    - http://p7zip.sourceforge.net/
    license: LGPL-2.1 rar? ( unRAR )
    buildtimestamp: 2024-02-22 08:26:10.437462591 +0000 UTC m=+167.242973050
    labels:
      DEPEND: dev-lang/yasm
      IUSE: doc +pch rar static python_single_target_python3_10 python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      emerge.packages: app-arch/p7zip
      kit: core-kit
      original.package.name: app-arch/p7zip
      original.package.slot: "0"
      original.package.version: "17.05"
    treedir: /build/packages
  package_dir: /pkgdir/p7zip
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9948773c041e89e40c0ebabc383d7730ded51b3033bfe44d68083408bb3667ca
compressiontype: zstd
files:
- usr/bin/7z
- usr/bin/7za
- usr/bin/7zr
- usr/bin/p7zip
- usr/lib64/p7zip/7z
- usr/lib64/p7zip/7z.so
- usr/lib64/p7zip/7zCon.sfx
- usr/lib64/p7zip/7za
- usr/lib64/p7zip/7zr
- usr/share/man/man1/7z.1.bz2
- usr/share/man/man1/7za.1.bz2
- usr/share/man/man1/7zr.1.bz2
- usr/share/man/man1/p7zip.1.bz2
- var/db/pkg/app-arch/p7zip-17.05/BUILD_TIME
- var/db/pkg/app-arch/p7zip-17.05/CATEGORY
- var/db/pkg/app-arch/p7zip-17.05/CBUILD
- var/db/pkg/app-arch/p7zip-17.05/CFLAGS
- var/db/pkg/app-arch/p7zip-17.05/CHOST
- var/db/pkg/app-arch/p7zip-17.05/CONTENTS
- var/db/pkg/app-arch/p7zip-17.05/COUNTER
- var/db/pkg/app-arch/p7zip-17.05/CXXFLAGS
- var/db/pkg/app-arch/p7zip-17.05/DEFINED_PHASES
- var/db/pkg/app-arch/p7zip-17.05/DEPEND
- var/db/pkg/app-arch/p7zip-17.05/DESCRIPTION
- var/db/pkg/app-arch/p7zip-17.05/EAPI
- var/db/pkg/app-arch/p7zip-17.05/FEATURES
- var/db/pkg/app-arch/p7zip-17.05/HOMEPAGE
- var/db/pkg/app-arch/p7zip-17.05/INHERITED
- var/db/pkg/app-arch/p7zip-17.05/IUSE
- var/db/pkg/app-arch/p7zip-17.05/IUSE_EFFECTIVE
- var/db/pkg/app-arch/p7zip-17.05/KEYWORDS
- var/db/pkg/app-arch/p7zip-17.05/LDFLAGS
- var/db/pkg/app-arch/p7zip-17.05/LICENSE
- var/db/pkg/app-arch/p7zip-17.05/NEEDED
- var/db/pkg/app-arch/p7zip-17.05/PF
- var/db/pkg/app-arch/p7zip-17.05/PROVIDES
- var/db/pkg/app-arch/p7zip-17.05/REQUIRES
- var/db/pkg/app-arch/p7zip-17.05/SIZE
- var/db/pkg/app-arch/p7zip-17.05/SLOT
- var/db/pkg/app-arch/p7zip-17.05/USE
- var/db/pkg/app-arch/p7zip-17.05/environment.bz2
- var/db/pkg/app-arch/p7zip-17.05/p7zip-17.05.ebuild
- var/db/pkg/app-arch/p7zip-17.05/repository
package_cacheimage: ""
runtime:
  name: p7zip
  version: "17.05"
  category: app-arch
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Port of 7-Zip archiver for Unix
  uri:
  - http://p7zip.sourceforge.net/
  license: LGPL-2.1 rar? ( unRAR )
  labels:
    DEPEND: dev-lang/yasm
    IUSE: doc +pch rar static python_single_target_python3_10 python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_targets_python3_10
      python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
    emerge.packages: app-arch/p7zip
    kit: core-kit
    original.package.name: app-arch/p7zip
    original.package.slot: "0"
    original.package.version: "17.05"
